from django.shortcuts import render
from django.forms import modelformset_factory
from django.http import HttpResponse
from formtools.wizard.views import SessionWizardView

from .forms import ProjectForm, VolunteerForm, LibraryForm
from .models import Project

def intern(request):
    #    return HttpResponse("Hello, world. You're at the input form")
    # ProjectFormSet = modelformset_factory(Project, fields='__all__')
    if request.method == 'POST':
        print('POST detected')
        form = ProjectForm(request.POST, request.FILES)
        if form.is_valid():
            print('form valid')
            form.save()

            # do something.
        else:
            print("form not valid")
    else:
        print
        form = ProjectForm()
    return render(request, 'input/project.html', {'form': form})

def done(request):
    return HttpResponse("Your data is save now.")

def extern(request):
    return HttpResponse("The world out there is large and dangerous")

class ExternView(SessionWizardView):
    template_name = "path/to/template"
    form_list = [VolunteerForm, LibraryForm]
    def done(self, form_list, **kwargs):
        return render(self.request, 'done.html', {
            'form_data': [form.cleaned_data for form in form_list],
        })
